%define major		4
%define api		1.0
%define gir_major	1.0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Object-oriented framework for creating UPnP devices and control points
Name:		gupnp
Version:	0.20.2
Release:	%mkrel 2
License:	LGPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gssdp-1.0) >= 0.13.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.28.2
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel >= 0.6.4
BuildRequires:	vala-tools

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points.

%package -n %{libname}

Summary:	Main library for gupnp
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Conflicts:	gir-repository < 0.6.5-11

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gupnp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gupnp
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	gir-repository < 0.6.5-11

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gupnp

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
 	
%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes
%make

%install
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnP-%{gir_major}.typelib

%files -n %{develname}
%doc AUTHORS README NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/pkgconfig/gupnp*.pc
%{_includedir}/gupnp-1.0/lib%{name}/*.h
%{_libdir}/*.so
%{_datadir}/vala/vapi/*
%{_bindir}/gupnp-binding-tool
%{_datadir}/gir-1.0/GUPnP-1.0.gir


%changelog

* Fri Apr 19 2013 fwang <fwang> 0.20.2-2.mga3
+ Revision: 410502
- update file list
- add vala binding

* Fri Apr 12 2013 dams <dams> 0.20.2-1.mga3
+ Revision: 409812
- new version 0.20.2

  + ovitters <ovitters>
    - new version 0.20.0

* Sat Jan 12 2013 umeabot <umeabot> 0.18.4-2.mga3
+ Revision: 352974
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 ovitters <ovitters> 0.18.4-1.mga3
+ Revision: 282401
- new version 0.18.4

* Thu May 03 2012 ovitters <ovitters> 0.18.3-1.mga3
+ Revision: 234680
- new version 0.18.3

* Sat Mar 17 2012 ovitters <ovitters> 0.18.2-1.mga2
+ Revision: 223757
- new version 0.18.2

* Fri Dec 09 2011 wally <wally> 0.18.1-1.mga2
+ Revision: 179697
- new version 0.18.1
- enable introspection for sure
- tag gtk-docs as docs

* Wed Aug 31 2011 fwang <fwang> 0.18.0-1.mga2
+ Revision: 136875
- new version 0.18.0
- new version 0.17.2

* Thu Jul 07 2011 wally <wally> 0.17.1-1.mga2
+ Revision: 119909
- new version 0.17.1

* Sat Jun 25 2011 wally <wally> 0.17.0-1.mga2
+ Revision: 113559
- new version 0.17.0
- new major 4
- fix libification
- create new subpackage for gir .typelib

* Thu Apr 14 2011 dams <dams> 0.16.0-1.mga1
+ Revision: 84991
- Update to 0.16.0

* Sun Jan 23 2011 wally <wally> 0.14.1-1.mga1
+ Revision: 33537
- new version 0.14.1
- fix license, url and source tag

* Sat Jan 22 2011 wally <wally> 0.13.5-3.mga1
+ Revision: 33282
- remove old mdv scriptlets
- disable static build
- imported package gupnp


* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.13.5-2mdv2011.0
+ Revision: 577977
- rebuild for new g-i

* Tue Aug 17 2010 Emmanuel Andry <eandry@mandriva.org> 0.13.5-1mdv2011.0
+ Revision: 570981
- New version 0.13.5

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.13.4-2mdv2011.0
+ Revision: 563770
- rebuild for new gobject-introspection

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.13.4-1mdv2011.0
+ Revision: 550674
- new version

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 0.13.3-1mdv2010.1
+ Revision: 533734
- update build deps
- new version
- add introspection support

* Sat Dec 05 2009 Götz Waschk <waschk@mandriva.org> 0.13.2-1mdv2010.1
+ Revision: 473841
- new version

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.13.1-1mdv2010.1
+ Revision: 462239
- update to new version 0.13.1

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.0-1mdv2010.0
+ Revision: 445420
- Update to new version 0.13.0 (new major)

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.12.8-2mdv2010.0
+ Revision: 409182
- Updated buildrequires for libuuid.

* Wed Jun 03 2009 Götz Waschk <waschk@mandriva.org> 0.12.8-1mdv2010.0
+ Revision: 382413
- update to new version 0.12.8

* Mon Apr 27 2009 Götz Waschk <waschk@mandriva.org> 0.12.7-1mdv2010.0
+ Revision: 369062
- update to new version 0.12.7

* Thu Mar 05 2009 Emmanuel Andry <eandry@mandriva.org> 0.12.6-1mdv2009.1
+ Revision: 349313
- New version 0.12.6

* Sun Jan 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.5-1mdv2009.1
+ Revision: 331044
- update to new version 0.12.5

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.12.4-2mdv2009.1
+ Revision: 309215
- rebuild to get rid of libtasn1 dep

* Sun Nov 30 2008 Emmanuel Andry <eandry@mandriva.org> 0.12.4-1mdv2009.1
+ Revision: 308521
- New version

* Wed Nov 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.3-1mdv2009.1
+ Revision: 304513
- add buildrequires libtasn1-devel
- update to new version 0.12.3

* Mon Sep 01 2008 Frederik Himpe <fhimpe@mandriva.org> 0.12.2-1mdv2009.0
+ Revision: 278645
- New version (new major)
- Add gupnp-binding-tool file, only used for development
- Don't package ChangeLog

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.1-1mdv2009.0
+ Revision: 211075
- bump major
- new version
- do not re-define stuff
- update buildrequires
- spec file clean

* Mon Feb 25 2008 Thierry Vignaud <tv@mandriva.org> 0.6-2mdv2008.1
+ Revision: 174698
- fix summary

* Mon Feb 25 2008 Erwan Velu <erwan@mandriva.org> 0.6-1mdv2008.1
+ Revision: 174660
- Adding more BuildRequires
- import gupnp


